file(GLOB_RECURSE PSEMEK_CG_HEADERS "include/*.hpp")

psemek_add_library(psemek-cg ${PSEMEK_CG_HEADERS})
target_include_directories(psemek-cg PUBLIC "${CMAKE_CURRENT_SOURCE_DIR}/include")
target_link_libraries(psemek-cg PUBLIC psemek-math psemek-util)
set_target_properties(psemek-cg PROPERTIES LINKER_LANGUAGE CXX)
